Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.xni.parser
Interface XMLPullParserConfiguration

All Superinterfaces:
  XMLComponentManager, XMLParserConfiguration

All Known Implementing Classes:
  DTDConfiguration, NonValidatingConfiguration, SecurityConfiguration, StandardParserConfiguration, XML11Configuration, XMLGrammarCachingConfiguration

Deprecated. please use JDK supplied XML parsers and transformers

    public interface XMLPullParserConfiguration

extends XMLParserConfiguration

Represents a parser configuration that can be used as the configuration for a "pull" parser. A pull parser allows the application to drive the parser instead of having document information events "pushed" to the registered handlers.

A pull parser using this type of configuration first calls the `setInputSource` method. After the input source is set, the pull parser repeatedly calls the `parse(boolean):boolean` method. This method returns a value of true if there is more to parse in the document.

Calling the `parse(XMLInputSource)` is equivalent to setting the input source and calling the `parse(boolean):boolean` method with a "complete" value of `true`.

Method Summary
`void` | `cleanup()` Deprecated. If the application decides to terminate parsing before the xml document is fully parsed, the application should call this method to free any resource allocated during parsing.
`boolean` | `parse(boolean complete)` Deprecated. Parses the document in a pull parsing fashion.
`void` | `setInputSource(XMLInputSource inputSource)` Deprecated. Sets the input source for the document to parse.

Methods inherited from interface weblogic.apache.xerces.xni.parser.XMLParserConfiguration
`addRecognizedFeatures, addRecognizedProperties, getDocumentHandler, getDTDContentModelHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getLocale, getProperty, parse, setDocumentHandler, setDTDContentModelHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setLocale, setProperty`

Method Detail

### setInputSource

    void setInputSource(XMLInputSource inputSource)
                        throws XMLConfigurationException,
                               IOException

  Deprecated.
  Sets the input source for the document to parse.

  Parameters:
    `inputSource` - The document's input source.
  Throws:
    `XMLConfigurationException` - Thrown if there is a configuration error when initializing the parser.
    `IOException` - Thrown on I/O error.
  See Also:
    `XMLPullParserConfiguration.parse(boolean)`

### parse

    boolean parse(boolean complete)
                  throws XNIException,
                         IOException

  Deprecated.
  Parses the document in a pull parsing fashion.

  Parameters:
    `complete` - True if the pull parser should parse the remaining document completely.
  Throws:
    `XNIException` - Any XNI exception, possibly wrapping another exception.
    `IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the parser.
  See Also:
    `XMLPullParserConfiguration.setInputSource(weblogic.apache.xerces.xni.parser.XMLInputSource)`

### cleanup

    void cleanup()

  Deprecated.
  If the application decides to terminate parsing before the xml document is fully parsed, the application should call this method to free any resource allocated during parsing. For example, close all opened streams.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD